### Type parameters

- #### T

### Hierarchy

- IDataAccessor

### Callable

- __call(): Defined<T> | undefined
- __call(defaultValue: NonNullable<T>): NonNullable<T>
- __call(nullDefaultValue: T extends null ? null : never): Defined<T>

- - Defined in node_modules/ts-optchain/dist/index.d.ts:11

  Data accessor without a default value. If no data exists, `undefined` is returned.

  #### Returns Defined<T> | undefined

- - Defined in node_modules/ts-optchain/dist/index.d.ts:16

  Data accessor with default value.

  #### Parameters

  - ##### defaultValue: NonNullable<T>

  #### Returns NonNullable<T>

- - Defined in node_modules/ts-optchain/dist/index.d.ts:21

  Data accessor with null default value.

  #### Parameters

  - ##### nullDefaultValue: T extends null ? null : never

  #### Returns Defined<T>

Generated using TypeDoc